Is there a PowerPC image available or can someone help me to compile it?

    • OMV 2.x
    • Is there a PowerPC image available or can someone help me to compile it?

      Hi,

      I've done a proper amount of searching, but can't seem to find it. I'd like to run OpenMediaVault on my Western Digital My Book Live. This device is running on a 800MHz PowerPC board with 256MB ram.
      I've tried several NAS management packages and I must say that I like OMV over Ajenti, Webmin and Western Digital's own management software.
      It was quite a hassle to get a clean debian wheezy install on it, only to find out that the repo's don't contain a PowerPC version :(

      Is it possible to include a PowerPC build into the repositories or can someone help me to compile OMV for the PowerPC architecture myself?
    • There haven't been many people using powerpc. So, we have never added that arch.

      You should be able to use any plugin that doesn't have a binary. You would have to build any binary package on that system, maybe an old Mac running Wheezy, or use qemu.

      It is fairly easy to build each package but I have no way to test. So, I could help you build the packages. Most of them requiring getting the code from github and creating the package with dpkg tools.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Thank you for your reply!

      Would it be possible to add it to the repo? It would be really nice if it could be downloaded from the repos, for automatic updates and everything.

      In the meantime I will compile it myself. You indicate that I should be able to use any plugin that doesn't have a binary. I want to compile the main OMV system as well, not just the binaries :)

      Could you point me to a good step by step manual to do the compilation of the entire system, including plugins?
    • While I can add powerpc arch to the omv-extras repos, you would need to convince volker to add it to the core OMV repos. It will just be hard for us to do testing with such a small user base.

      You shouldn't have to compile any plugin that has _all in the name including the main OMV package - openmediavault_2.1.8_all.deb.

      There is no guide to do an entire system. Most of the source can be built by downloading it and executing dpkg-buildpackage -b
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I really hope you know linux well because this will be a pain in the ass... Here is where I would start:

      Adding the repo to your sources probably won't help much since there is no powerpc arch. If it generates an error, remove them.
      echo "deb http://packages.openmediavault.org/public stoneburner main" > /etc/apt/sources.list.d/openmediavault.list

      apt-get update
      apt-get install postfix

      wget http://packages.openmediavault.org/public/pool/main/o/openmediavault/openmediavault_2.1.8_all.deb
      wget http://packages.openmediavault.org/public/pool/main/o/openmediavault-keyring/openmediavault-keyring_0.3_all.deb
      wget http://packages.openmediavault.org/public/pool/main/libj/libjs-extjs5/libjs-extjs5_5.1.1.451_all.deb
      dpkg -i openmediavault-keyring_0.3_all.deb openmediavault_2.1.8_all.deb libjs-extjs5_5.1.1.451_all.deb

      It will probably tell you that you need php5-pam and php5-proctitle. Other non-binary debs are here.

      apt-get install subversion fakeroot build-essential devscripts git debhelper
      svn checkout svn://svn.code.sf.net/p/openmediavault/code/trunk openmediavault-code

      The dpkg-buildpackage command will tell you the dependencies that are missing to compile the package. You will have to install them. This whole process will install lots of extra packages on your system. just a warning...
      cd openmediavault-code/deb/php5-pam
      dpkg-buildpackage -b
      cd ../php5-proctitle
      dpkg-buildpackage -b
      cd ..
      dpkg -i php5*

      Let me know what else it is missing.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Thanks, that's what I needed.

      Especially the part about which packages to install:
      "apt-get install subversion fakeroot build-essential devscripts git debhelper"
      "svn checkout svn://svn.code.sf.net/p/openmediavault/code/trunk openmediavault-code"

      I couldn't figure out what to add by looking at the page on sourceforge.

      I'll run this on a normal machine first to see if the process works for me.
      If all goes well, I'll run it on my MBL.

      Keep you posted!
    • Installing on my WD MBL

      apt-get update
      W: Failed to fetch packages.openmediavault.org/public/dists/stoneburner/Release Unable to find expected entry 'main/binary-powerpc/Packages' in Release file (Wrong sources.list entry or malformed file)

      root@JUPITER:/mnt/data/OMV# dpkg -i openmediavault-keyring_0.3_all.deb openmediavault_2.1.8_all.deb libjs-extjs5_5.1.1.451_all.deb
      (Reading database ... 26305 files and directories currently installed.)
      Preparing to replace openmediavault-keyring 0.3 (using openmediavault-keyring_0.3_all.deb) ...
      Unpacking replacement openmediavault-keyring ...
      Preparing to replace openmediavault 2.1.8 (using openmediavault_2.1.8_all.deb) ...
      Unpacking replacement openmediavault ...
      Preparing to replace libjs-extjs5 5.1.1.451 (using libjs-extjs5_5.1.1.451_all.deb) ...
      Unpacking replacement libjs-extjs5 ...
      Setting up openmediavault-keyring (0.3) ...
      OK
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on php5-fpm; however:
      Package php5-fpm is not installed.
      openmediavault depends on php5-cgi; however:
      Package php5-cgi is not installed.
      openmediavault depends on php5-cli; however:
      Package php5-cli is not installed.
      openmediavault depends on php5-pam; however:
      Package php5-pam is not installed.
      openmediavault depends on php-json-schema; however:
      Package php-json-schema is not installed.
      openmediavault depends on sudo; however:
      Package sudo is not installed.
      openmediavault depends on ethtool; however:
      Package ethtool is not installed.
      openmediavault depends on acl; however:
      Package acl is not installed.
      openmediavault depends on ifenslave; however:
      Package ifenslave is not installed.
      openmediavault depends on resolvconf; however:
      Package resolvconf is not installed.
      openmediavault depends on xfsprogs; however:
      Package xfsprogs is not installed.
      openmediavault depends on jfsutils; however:
      P
      dpkg: error processing openmediavault (--install):
      dependency problems - leaving unconfigured
      Setting up libjs-extjs5 (5.1.1.451) ...
      Errors were encountered while processing:
      openmediavault

      Had to run apt-get -f install to get out of the apt lock.

      Fixed dependencies for dpkg buildpackage
      Unmet build dependencies: xsltproc php5-dev libpam-dev

      Built the two packages

      root@JUPITER:/mnt/data/OMV/openmediavault-code/deb# dpkg -i php5*
      dpkg-split: error: error reading php5-pam: Is a directory
      dpkg: error processing php5-pam (--install):
      subprocess dpkg-split returned error exit status 2
      dpkg-deb: error: `php5-pam_1.0.3-2_powerpc.changes' is not a debian format archive
      dpkg: error processing php5-pam_1.0.3-2_powerpc.changes (--install):
      subprocess dpkg-deb --control returned error exit status 2
      Selecting previously unselected package php5-pam.
      (Reading database ... 34448 files and directories currently installed.)
      Unpacking php5-pam (from php5-pam_1.0.3-2_powerpc.deb) ...
      dpkg-split: error: error reading php5-proctitle: Is a directory
      dpkg: error processing php5-proctitle (--install):
      subprocess dpkg-split returned error exit status 2
      dpkg-deb: error: `php5-proctitle_0.1.2-2_powerpc.changes' is not a debian format archive
      dpkg: error processing php5-proctitle_0.1.2-2_powerpc.changes (--install):
      subprocess dpkg-deb --control returned error exit status 2
      Selecting previously unselected package php5-proctitle.
      Unpacking php5-proctitle (from php5-proctitle_0.1.2-2_powerpc.deb) ...
      Setting up php5-pam (1.0.3-2) ...
      Setting up php5-proctitle (0.1.2-2) ...
      Processing triggers for php5-fpm ...
      [ ok ] Restarting PHP5 FastCGI Process Manager: php5-fpm.
      Errors were encountered while processing:
      php5-pam
      php5-pam_1.0.3-2_powerpc.changes
      php5-proctitle
      php5-proctitle_0.1.2-2_powerpc.changes

      Not entirely there yet I guess :(

      I fixed the dependency issues for:
      - sudo
      - ethtool
      - acl
      - ifenslave (Note, selecting 'ifenslave-2.6' instead of 'ifenslave') (I'm running kernel 2.6.32.65)
      - resolvconf
      - xfsprogs
      - jfsutils
      - ntfs-3g ( udev active, skipping device node creation.)
      - hdparm
      - sdparm
      - boo

      New dependency issues popping up!
      root@JUPITER:/mnt/data/OMV# dpkg -i openmediavault_2.1.8_all.deb
      Selecting previously unselected package openmediavault.
      (Reading database ... 35284 files and directories currently installed.)
      Unpacking openmediavault (from openmediavault_2.1.8_all.deb) ...
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on php-json-schema; however:
      Package php-json-schema is not installed.
      openmediavault depends on bootlogd; however:
      Package bootlogd is not installed.
      openmediavault depends on mdadm; however:
      Package mdadm is not installed.
      openmediavault depends on postfix; however:
      Package postfix is not installed.
      openmediavault depends on bsd-mailx; however:
      Package bsd-mailx is not installed.
      openmediavault depends on ntp; however:
      Package ntp is not installed.
      openmediavault depends on cpufrequtils; however:
      Package cpufrequtils is not installed.
      openmediavault depends on smartmontools; however:
      Package smartmontools is not installed.
      openmediavault depends on uuid; however:
      Package uuid is not installed.
      openmediavault depends on nfs-kernel-server; however:
      Package nfs-kernel-server is not installed.
      openmediavault depends on proftpd-basic; however:
      Package proftpd-basic is not installed.
      openmediavau
      dpkg: error processing openmediavault (--install):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      openmediavault

      Fixed them as well
      root@JUPITER:/mnt/data/OMV# apt-get install bootlogd mdadm postfix bsd-mailx ntp cpufrequtils smartmontools uuid nfs-kernel-server proftpd-basic
      Selected "Internet Site" in mail config
      Selected "all" in mdadm config (feels tricky, because the MBL relies on mdadm arrays to function...)

      And more dependencies popping up... why doesn't apt-get give me all dependencies in one go?
      root@JUPITER:/mnt/data/OMV# dpkg -i openmediavault_2.1.8_all.deb
      Selecting previously unselected package openmediavault.
      (Reading database ... 35842 files and directories currently installed.)
      Unpacking openmediavault (from openmediavault_2.1.8_all.deb) ...
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on php-json-schema; however:
      Package php-json-schema is not installed.
      openmediavault depends on tftpd-hpa; however:
      Package tftpd-hpa is not installed.
      openmediavault depends on samba; however:
      Package samba is not installed.
      openmediavault depends on samba-common-bin; however:
      Package samba-common-bin is not installed.
      openmediavault depends on snmpd; however:
      Package snmpd is not installed.
      openmediavault depends on avahi-daemon; however:
      Package avahi-daemon is not installed.
      openmediavault depends on libnss-mdns; however:
      Package libnss-mdns is not installed.
      openmediavault depends on monit (>= 5.4); however:
      Package monit is not installed.
      openmediavault depends on acpid; however:
      Package acpid is not installed.
      openmediavault depends on beep; however:
      Package beep is not installed.
      openmediavault depends on gdisk; however:
      Package gdisk is not installed.
      openmediavault depends on rrdto
      dpkg: error processing openmediavault (--install):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      openmediavault

      Ok, getting the hang of this dependency fixing. Hopefully the disk won't be full by the time I finish fixing dependencies :)

      Will update this post after I'm done with fixing dependencies.

      Found one dependency that I couldn't fix:
      E: Package 'php-json-schema' has no installation candidate

      The post was edited 5 times, last by hans82 ().

    • A lot of those dependencies are a non-binary package. So, you can get them from here. A lot of apt-get -f install commands in your future. Forgot about the .changes files. Luckily, dpkg won't install them.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Fixed the last dependency with
      wget packages.openmediavault.org/pu…json-schema_0.2.0_all.deb
      dpkg -i php-json-schema_0.2.0_all.deb

      root@JUPITER:/mnt/data/OMV# dpkg -i openmediavault_2.1.8_all.deb
      Is installing now...

      This is the last part of the output of the installation process:
      Restarting nginx: nginx.
      Stopping daemon monitor: monit.
      Starting daemon monitor: monit.
      Updating configuration ...
      Processing triggers for openmediavault ...
      Restarting engine daemon ...
      monit: Cannot connect to the monit daemon. Did you start it with http support?
      /etc/init.d/openmediavault-engined: 15: .: Can't open /etc/default/locale
      invoke-rc.d: initscript openmediavault-engined, action "restart" failed.
      dpkg: error processing openmediavault (--install):
      subprocess installed post-installation script returned error exit status 2
      Errors were encountered while processing:
      openmediavault

      I created a locale file in /etc/default/ and put the contents of a working OMV system in there.
      # File generated by update-locale
      LANG="en_US.UTF-8"
      LANGUAGE="en_US:en"

      Ran the installation again and came to this step (now only some error with monit):
      Restarting services ...
      Restarting periodic command scheduler: cronStopping periodic command scheduler: cron.
      Starting periodic command scheduler: cron.
      Restarting watchdog: Stopping watchdog daemon... Starting watchdog daemon....
      Restarting RRDtool data caching daemon: rrdcached.
      Restarting statistics collection and monitoring daemon: collectd.
      Reloading PHP5 FastCGI Process Manager: php5-fpm.
      Restarting nginx: nginx.
      Stopping daemon monitor: monit.
      Starting daemon monitor: monit.
      Updating configuration ...
      Processing triggers for openmediavault ...
      D000002: fork/exec /var/lib/dpkg/info/openmediavault.postinst ( triggered restart-engined update-locale update-fixperms )
      Restarting engine daemon ...
      monit: Cannot connect to the monit daemon. Did you start it with http support?
      Restarting OpenMediaVault engine daemon: .omv-engined.
      Updating locale files ...
      Updating file permissions ...
      Purging internal cache ...

      The post was edited 2 times, last by hans82 ().

    • I didn't dare it, because as soon as you do that you lose SSH access (experienced it on another system).

      Anyhow, I closed my eyes, took a deep breath and ran
      shutdown -r now

      After a minute or so, I was able to connect to the UI!

      So the only four items that were needed were:
      libjs-extjs5_5.1.1.451_all.deb
      openmediavault-keyring_0.3_all.deb
      openmediavault_2.1.8_all.deb
      php-json-schema_0.2.0_all.deb

      The rest can be installed by doing the dance:
      dpkg -i openmediavault_2.1.8_all.deb
      apt-get -f install
      apt-get install missing dependencies
      repeat

      Had to create a /etc/default/locale file with the following content:
      # File generated by update-locale
      LANG="en_US.UTF-8"
      LANGUAGE="en_US:en"
      (Or maybe I didn't choose the right options during package installation)

      I will have a look if everything works as it should. If I find nothing weird, I will make a writeup of it.

      Can't thank you enough ryecoaaron! Awesome
    • Good to hear :)

      If you are worried about ssh, just put /etc/init.d/ssh start or service ssh start in /etc/rc.local.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • The powerpc repository has been created and the following packages have been build:
      • php5-pam
      • php5-proctitle
      • proftpd-mod-vroot
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • I added powerpc to the omv-extras and omv-extras testing repos as well. Will add more later.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!